%define	pkgname	open4
Summary:	Ruby open3 with exit reporting
Summary(pl.UTF-8):	open3 w Rubym z raportowaniem wyjścia
Name:		ruby-%{pkgname}
Version:	1.3.0
Release:	2
License:	GPL v2+ or Ruby
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	dc0affafe0138d5f35e45cb34db57ccd
URL:		https://github.com/ahoward/open4
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Open child process with handles on pid, stdin, stdout, and stderr.

%description -l pl.UTF-8
open3 w Rubym z raportowaniem wyjścia.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# write .gemspec
%__gem_helper spec

rdoc --ri -o ri
rdoc -o rdoc
rm -r ri/Object
rm ri/cache.ri
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir},%{ruby_ridir},%{ruby_rdocdir}/%{name}-%{version}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc/* $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%{ruby_vendorlibdir}/%{pkgname}.rb
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Open4
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-open4.git;a=log;h=master

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 05a75e0
- rebuild for ruby 2.0
- release 2 (by relup.sh)

* Tue Jan 07 2014 Elan Ruusamäe <glen@delfi.ee> 2c25a8f
- up to 1.3.0

* Tue Jan 07 2014 Elan Ruusamäe <glen@delfi.ee> 30f1624
- build with rubyprov

* Sun May 05 2013 Elan Ruusamäe <glen@delfi.ee> 8a439da
- up to 0.4.0, build noarch, use vendor dirs, subpackage docs

* Thu Mar 08 2007 aredridel <aredridel@pld-linux.org> 671730f
- massive attack: correct ri output path for ruby 1.8.6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 7bd08e7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6a9dde3
- converted to UTF-8

* Sat Dec 31 2005 twittner <twittner@pld-linux.org> 7c56217
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

* Thu Dec 29 2005 twittner <twittner@pld-linux.org> 373da2d
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

* Tue Dec 27 2005 twittner <twittner@pld-linux.org> 865c12c
- remove redundant BR: ruby-modules (BR: ruby-devel implies it)

* Tue Dec 27 2005 twittner <twittner@pld-linux.org> 52d8d37
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

* Sat Nov 19 2005 Elan Ruusamäe <glen@pld-linux.org> f1506d5
- use system ruby macros
- cleanups, corrections, cosmetics

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 0e8a8bf
- pl

* Thu Aug 25 2005 aredridel <aredridel@pld-linux.org> 7f5a0ac
- added

